# Sheet class

Configuration of the preview mode for scanning multiple barcodes.

## Constructors

Sheet({SheetMode mode = SheetMode.COLLAPSED_SHEET, CollapsedVisibleHeight collapsedVisibleHeight = CollapsedVisibleHeight.SMALL, BadgedButton? listButton})
Sheet.fromJson(Map<String, dynamic> json)
  factory

## Properties

collapsedVisibleHeight ↔ CollapsedVisibleHeight
  Height of the collapsed result sheet. Default is SMALL
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
listButton ↔ BadgedButton
  Configuration of the list button.
  getter/setter pair
mode ↔ SheetMode
  Mode used for the preview for scanning multiple barcodes. Default is COLLAPSED_SHEET
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited